GLS ShipIT 3.5.15 GLS ShipIT - REST services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CustomContent Class Reference

## Public Member Functions
byte [] | getCustomerLogo ()
void | setCustomerLogo (byte[] value)
String | getBarcode ()
void | setBarcode (String value)
BarcodeType | getBarcodeType ()
void | setBarcodeType (BarcodeType value)
Boolean | isHideShipperAddress ()
void | setHideShipperAddress (Boolean value)

## Protected Attributes
byte [] | customerLogo
String | barcode
BarcodeType | barcodeType
Boolean | hideShipperAddress

## Detailed Description

Custom content provided for label generation (f.e. customer logo)

Java class for CustomContent complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="CustomContent">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="CustomerLogo" type="{http://www.w3.org/2001/XMLSchema}base64Binary" minOccurs="0"/>
            <element name="Barcode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
            <element name="BarcodeType" type="{http://fpcs.gls-group.eu/v2/ShipmentProcessing/types}BarcodeType" minOccurs="0"/>
            <element name="HideShipperAddress" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 45 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/CustomContent.java.

## Member Function Documentation

## ◆ getBarcode()

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CustomContent.getBarcode | ( |  | ) |

Gets the value of the barcode property.

Returns
  possible object is String

Definition at line 87 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/CustomContent.java.

## ◆ getBarcodeType()

BarcodeType eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CustomContent.getBarcodeType | ( |  | ) |

Gets the value of the barcodeType property.

Returns
  possible object is BarcodeType

Definition at line 111 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/CustomContent.java.

## ◆ getCustomerLogo()

byte [] eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CustomContent.getCustomerLogo | ( |  | ) |

Gets the value of the customerLogo property.

Returns
  possible object is byte[]

Definition at line 64 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/CustomContent.java.

## ◆ isHideShipperAddress()

Boolean eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CustomContent.isHideShipperAddress | ( |  | ) |

Gets the value of the hideShipperAddress property.

Returns
  possible object is Boolean

Definition at line 135 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/CustomContent.java.

## ◆ setBarcode()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CustomContent.setBarcode | ( | String | value | ) |

Sets the value of the barcode property.

Parameters

  value | allowed object is String

Definition at line 99 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/CustomContent.java.

## ◆ setBarcodeType()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CustomContent.setBarcodeType | ( | BarcodeType | value | ) |

Sets the value of the barcodeType property.

Parameters

  value | allowed object is BarcodeType

Definition at line 123 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/CustomContent.java.

## ◆ setCustomerLogo()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CustomContent.setCustomerLogo | ( | byte [] | value | ) |

Sets the value of the customerLogo property.

Parameters

  value | allowed object is byte[]

Definition at line 75 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/CustomContent.java.

## ◆ setHideShipperAddress()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CustomContent.setHideShipperAddress | ( | Boolean | value | ) |

Sets the value of the hideShipperAddress property.

Parameters

  value | allowed object is Boolean

Definition at line 147 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/CustomContent.java.

## Member Data Documentation

## ◆ barcode

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CustomContent.barcode
| protected

Definition at line 50 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/CustomContent.java.

## ◆ barcodeType

BarcodeType eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CustomContent.barcodeType
| protected

Definition at line 53 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/CustomContent.java.

## ◆ customerLogo

byte [] eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CustomContent.customerLogo
| protected

Definition at line 48 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/CustomContent.java.

## ◆ hideShipperAddress

Boolean eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CustomContent.hideShipperAddress
| protected

Definition at line 55 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/CustomContent.java.

The documentation for this class was generated from the following file:

- glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/CustomContent.java